package cn.iocoder.yudao.module.wealth.vo.receivable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
@ApiModel("管理后台 - 应收款核销 Request VO")
public class ReceivableWriteOffReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "基准币种汇率")
    private BigDecimal baseCurrencyRate;

    @ApiModelProperty(value = "核销金额")
    @NotNull(message = "核销金额不能为空")
    private BigDecimal writeOffAmount;

}
