package cn.iocoder.yudao.module.wealth.vo.receipt;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ReceiptLogBackVO {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "收款单id")
    private Long receiptId;

    @ApiModelProperty(value = "收款单环节")
    private Integer receiptLink;

    @ApiModelProperty(value = "操作人")
    private String operator;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "审批流程")
    private Integer bpmStatus;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
